# FBB::TableLines(3bobcat)

## Table support class
(libbobcat-dev_6.14.00)

## 2005-2026

## NAME

FBB::TableLines - A TableSupport specialization writing horizontal separation lines

## SYNOPSIS

#include <bobcat/tableLines>
Linking option: -lbobcat

## DESCRIPTION

This class is a specialization of FBB::TableSupport and can be used to write horizontal (and vertical) line separators in tables generated by Table or TableBuf objects.

## NAMESPACE

FBB
All constructors, members, operators and manipulators, mentioned in this man-page, are defined in the namespace FBB.

## INHERITS FROM

FBB::TableSupport

## CONSTRUCTORS

The default and move constructors and the move assignment operator are available.

## MEMBER FUNCTIONS

All public members of TableSupport are available. Refer to the tablesupport(3bobcat) man-page for details.

## EXAMPLE

    #include <iostream>

    #include <bobcat/table>
    #include <bobcat/tablelines>

    using namespace std;
    using namespace FBB;

    int main(int argc, char **argv)
    {
        TableLines tablelines;
                                    // width/separators of cols 0, 1 and 2
        tablelines << 0 << " | " << " | ";

                                    // hline over cols 1 and 2 of row 1
        tablelines << TableLines::HLine(1, 1, 3);

        Table tab(tablelines, 3, Table::ROWWISE, Table::EQUALWIDTH);
        // or: Table tab(tablelines, 3, Table::ROWWISE);

        tab << Align(0, std::left);     // set column non-default alignment
        tab.fill(argv + 1, argv + argc);// fill range of values

        cout << tab << '\n';            // complete the table and insert

        tab << "hello" << "" << "wo";   // add additional elements.
        if (tab.nRows() > 2)
            tab << Align(2, 2, center); // set the layout of a specific element

        cout << tab << '\n';
    }

## FILES

bobcat/tableLines - defines the class interface

## SEE ALSO

bobcat(7), align(3bobcat), csvtable(3bobcat), table(3bobcat), tablebuf(3bobcat), tablesupport(3bobcat)

## BUGS

None Reported.

## BOBCAT PROJECT FILES

- https://fbb-git.gitlab.io/bobcat/: gitlab project page;

Debian Bobcat project files:

- libbobcat6: debian package containing the shared library, changelog and copyright note;
- libbobcat-dev: debian package containing the static library, headers, manual pages, and developer info;

## BOBCAT

Bobcat is an acronym of `Brokken's Own Base Classes And Templates'.

## COPYRIGHT

This is free software, distributed under the terms of the GNU General Public License (GPL).

## AUTHOR

Frank B. Brokken (f.b.brokken@rug.nl).